/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package Program3;

import org.junit.jupiter.api.Test;
import static org.junit.jupiter.api.Assertions.*;

class SortArrayTest {
    @Test void sort() {
        double[] array = {12, 32, 3, 1, 3, 90, 8, 9, 91, 43, 8};
        SortArray sortArray = new SortArray();
        sortArray.sort(array);
        double[] arrayExpected = {1, 3, 3, 8, 8, 9, 12, 32, 43, 90, 91};

        assertArrayEquals(arrayExpected, array);
    }

    @Test void createSortedArray() {
        double[] array = {12, 32, 3, 1, 3, 90, 8, 9, 91, 43, 8};
        SortArray sortArray = new SortArray();
        double[] arrayNew = sortArray.createSortedArray(array);
        double[] arrayExpected = {1, 3, 3, 8, 8, 9, 12, 32, 43, 90, 91};

        assertArrayEquals(arrayExpected, arrayNew);
    }
}
